Chief Tools Logo
Domain Chief API v1

Endpoints for listing TLDs.


List TLDs

GET
https://domain.chief.app/api/v1
/tlds
Bearer (ctp_*)
or
OpenID Connect
or
Bearer (ctt_*)

List all registerable TLDs.

List TLDs › query Parameters

query
​string · minLength: 1

Search query.

sort
​string[] · maxItems: 5 · style: form

Sort by up to five fields, separated by commas. Prefix a field with - for descending order.

Enum values:
name
-name
order
-order
Default: ["order"]
page
​integer · min: 1
Default: 1
per_page
​integer · min: 1 · max: 100
Default: 50
tier
​PricingTier · enum

Return the list prices of this pricing tier instead of the prices for your team. Use member for the prices with a membership and regular for the prices without one, regardless of whether your team has a membership. Prices agreed specifically for your team are not applied.

member
Discounted prices for teams with a membership.
regular
Regular prices for teams without a membership.
member
Discounted prices for teams with a membership.
regular
Regular prices for teams without a membership.
Enum values:
member
regular

List TLDs › Responses

Paginated set of TLD

​TLD[] · required
​object · required
​object · required

Show TLD

GET
https://domain.chief.app/api/v1
/tlds/{tldName}
Bearer (ctp_*)
or
OpenID Connect
or
Bearer (ctt_*)

Show a single registerable TLD.

Show TLD › path Parameters

tldName
​string · required

Show TLD › query Parameters

tier
​PricingTier · enum

Return the list prices of this pricing tier instead of the prices for your team. Use member for the prices with a membership and regular for the prices without one, regardless of whether your team has a membership. Prices agreed specifically for your team are not applied.

member
Discounted prices for teams with a membership.
regular
Regular prices for teams without a membership.
member
Discounted prices for teams with a membership.
regular
Regular prices for teams without a membership.
Enum values:
member
regular

Show TLD › Responses

TLD

​TLD · required